import logging
log = logging.getLogger(__name__)

from ..base import Monochromator

class DummyMonochromator(Monochromator):
    def __init__(self):
        super().__init__()
        self.wavelength_nm = -1

    def reset(self):
        log.info("Dummy-Monochromator reset")
        self.wavelength_nm = -1

    def set_wavelength_nm(self, wavelength_nm):
        log.info(f"Dummy-Monochromator set to {wavelength_nm} nm")
        self.wavelength_nm = wavelength_nm

    def get_wavelength_nm(self):
        return self.wavelength_nm

    def __repr__(self):
        return "Dummy-Monochromator"
